# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global python2ver %(python2 -c "import sys; print sys.version[:3]" || echo none)

Summary:	Macro supporting writing wiki markup inside a table
Name:		moin-macro-MiniPage
Version:	1.9
Release:	4.%{__distinit}%{__distvers}
URL:		http://moinmo.in/MacroMarket/MiniPage
# http://hg.moinmo.in/moin/extensions/raw-file/d6a7c36f06f5/data/plugin/macro/MiniPage.py
Source0:	MiniPage-%{version}.py
Source1:	moin-macro-MiniPage-README.RPM
License:	GPL-2.0-or-later
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python2
Requires:	moin >= 1.9.0
Requires:	python(abi) = %{python2ver}

%description
This macro enables the possibility of writing normal wiki code inside a wiki
table. This code is parsed by the wiki parser and is then displayed.

%prep
%setup -q -c -T
cp -a %{SOURCE0} MiniPage.py
cp -a %{SOURCE1} README.rpm

%build
# Generate normal (.pyc) byte-compiled files.
python2 -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python2 -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'

%install
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/macro
install -p -m 644 MiniPage.py* \
	%{buildroot}%{_datadir}/moin/data/plugin/macro

%files
%doc README.rpm
%{_datadir}/moin/data/plugin/macro/MiniPage.py*

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 1.9-4
- Use SPDX-format license tag

* Thu Nov  1 2018 Paul Howarth <paul@city-fan.org> - 1.9-3
- Explicitly use python2 rather than just python

* Fri Jan  5 2018 Paul Howarth <paul@city-fan.org> - 1.9-2
- Drop support for EOL distributions prior to F-13
  - Python2 > 2.3 is always available
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop %%defattr, redundant since rpm 4.4

* Fri Mar 30 2012 Paul Howarth <paul@city-fan.org> - 1.9-1
- Update to 1.9 release
- Bump moin version requirement to 1.9

* Wed Oct 12 2011 Paul Howarth <paul@city-fan.org> - 1.7.1-5-5
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux
- BR: python2 rather than just python

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 1.7.1.5-4
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 1.7.1.5-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 1.7.1.5-2
- Dist tag for Rawhide no longer needs special-casing

* Wed Jun 24 2009 Paul Howarth <paul@city-fan.org> - 1.7.1.5-1
- Update to 1.7.1-5 (moin 1.7.x patch upstreamed)
- Define RPM macros in global scope
- Unbundle README.RPM as a separate source file rather than a here document
- Preserve timestamp on python code

* Wed Jul  2 2008 Paul Howarth <paul@city-fan.org> - 1.6.0.4-2
- Patch to avoid crashes on moin 1.7.0, and require moin ≥ 1.7.0
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue Feb 26 2008 Paul Howarth <paul@city-fan.org> - 1.6.0.4-1
- Update to 1.6.0-4
- New upstream URL

* Tue Nov  6 2007 Paul Howarth <paul@city-fan.org> - 1.3.3.1-4
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 2 or later

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 1.3.3.1-3
- Rebuild for python 2.5 on Rawhide

* Mon Dec  4 2006 Paul Howarth <paul@city-fan.org> - 1.3.3.1-2
- Fix python-abi dep for python 2.3

* Mon Dec  4 2006 Paul Howarth <paul@city-fan.org> - 1.3.3.1-1
- Initial package build
